Get Corpus Record
curl --request GET \
--url https://api.ontora.com/v1/interviews/{interview_id}/corpus/records/{response_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ontora.com/v1/interviews/{interview_id}/corpus/records/{response_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ontora.com/v1/interviews/{interview_id}/corpus/records/{response_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schema_version": "corpus-record-v1",
"campaign_id": "<string>",
"response_id": "<string>",
"status": "<string>",
"is_complete": true,
"has_transcript": true,
"transcript_revision": 123,
"transcript_turn_count": 123,
"transcript_source": "canonical",
"guide_hash": "<string>",
"question_mapping_status": "complete",
"unmapped_response_turn_indexes": [
123
],
"question_mapping_conflict_turn_indexes": [
123
],
"release_status": "raw_citable",
"privacy_level": "<string>",
"is_anonymous": true,
"job_title": "<string>",
"department": "<string>",
"audience_filter_attributes": {},
"metadata_sources": {
"job_title": "stored_interview_contact",
"department": "stored_interview_contact"
},
"contact_metadata_source": "stored_interview_contact",
"metadata_withheld_reason": "<string>",
"participant_metadata_output_allowed": true,
"verbatim_output_allowed": true,
"output_policy": "<string>",
"started_at": "<string>",
"ended_at": "<string>",
"duration_minutes": 123,
"questions": {},
"transcript": [
{
"turn_index": 123,
"role": "<string>",
"content": "<string>",
"topic_id": "<string>",
"source_question_id": "<string>",
"question_id": "<string>",
"question_key": "<string>",
"question_mapping_source": "choice_selection",
"created_at": "<string>",
"choice_selection": null
}
],
"record_hash": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}protected-corpus
Get Corpus Record
Return one exact record, guarded by its optional record hash.
GET
/
v1
/
interviews
/
{interview_id}
/
corpus
/
records
/
{response_id}
Get Corpus Record
Authorizations
ClerkJWTWorkspaceApiKey
Clerk-issued RS256 JWT.
Headers
Query Parameters
Required string length:
64Pattern:
^[0-9a-fA-F]{64}$Response
Successful Response
Allowed value:
"corpus-record-v1"Available options:
canonical, legacy_json, none Pattern:
^[0-9a-fA-F]{64}$Available options:
complete, gaps_present Available options:
raw_citable, anonymous_citable, aggregate_only Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
stored_interview_contact, linked_person, mixed Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^[0-9a-fA-F]{64}$Was this page helpful?